<?xml version="1.0"?>
<!--
  *  '$RCSfile: marine.xsl,v $'
  *      Authors: Matt Jones, Chad Berkley
  *    Copyright: 2000 Regents of the University of California and the
  *               National Center for Ecological Analysis and Synthesis
  *  For Details: http://www.nceas.ucsb.edu/
  *
  *   '$Author: jones $'
  *     '$Date: 2001/01/18 19:02:13 $'
  * '$Revision: 1.27 $'
  * 
  * This is an HTML document for displaying metadata catalog tools
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
  * This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
  * convert an XML file showing the resultset of a query
  * into an HTML format suitable for rendering with modern web browsers.
  * This stylesheet formats .
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html"/>
  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" href="@html-path@/style/rowcol.css" />
        <script language="JavaScript">
          <![CDATA[
          function submitform(current_action,form_ref) {
              form_ref.action.value=current_action;
              form_ref.submit();
          }
          ]]>
        </script>

      </head>
      <body class="emlbody">
        <a name="top" />
        <table width="100%">
        <tr>
          <td align="left" valign="top">
            <form action="@html-path@/servlet/marine#browse"
                  method="POST">
             <input type="hidden" name="action" value="query" />   
    	       <input type="hidden" name="query" value="" />
    	       <input type="hidden" name="qformat" value="html" />
             <input type="hidden" name="operator" value="UNION" />
             <input type="hidden" name="anyfield" value="%" />
             <input type="hidden" name="returnfield" 
               value="resource/dataset/originator/individualName/surName" />
             <input type="hidden" name="returnfield" 
               value="resource/dataset/originator/individualName/givenName" />
             <input type="hidden" name="returnfield" 
               value="resource/dataset/originator/organizationName" />
             <input type="hidden" name="returnfield" 
               value="eml-dataset/title" />
             <input type="hidden" name="returnfield" 
               value="resource/dataset/title" />
             <input type="hidden" name="returnfield" 
              value="resource/dataset/keywordInfo/keyword" />
             <input type="hidden" name="returndoc"
             value="-//NCEAS//resource//EN" />
             <input type="hidden" name="returndoc"
              value="-//NCEAS//eml-dataset//EN" />
             <!--<input type="hidden" name="site" value="MARINE" />-->
             <input border="0" type="image" 
                    src="@image-path@/marine/browsebutton.jpg"
                    alt="browse the database"
                    size="15" /><br/>
             <a href="#beginform" border="0">
              <img border="0" 
                   src="@image-path@/marine/skipbutton.jpg" 
                   alt="skip the introduction"/>
            </a>
           </form>
    	   </td>
         <td align="center" valign="top">
            <img src="@image-path@/marine/logo-line.gif" alt="NCEAS Logo" />
         </td>
         <td align="right" valign="top">
            <form action="@html-path@/servlet/marine#browse"
                  method="POST">
               <font size="2">
               Quick Search: <input type="text" name="anyfield" size="10" />
               </font>
               <input type="hidden" name="action" value="query" />   
    	       <input type="hidden" name="qformat" value="html" />
    	       <input type="hidden" name="operator" value="UNION" />
             
             <input type="hidden" name="returnfield" 
              value="resource/dataset/originator/individualName/surName" />
             <input type="hidden" name="returnfield" 
              value="resource/dataset/originator/individualName/givenName" />
            <input type="hidden" name="returnfield" 
             value="resource/dataset/originator/organizationName" />
            <input type="hidden" name="returnfield" 
             value="resource/dataset/title" />
            <input type="hidden" name="returnfield" 
             value="eml-dataset/title" />
            <input type="hidden" name="returnfield" 
             value="resource/dataset/keywordInfo/keyword" />
            <input type="hidden" name="returndoc"
             value="-//NCEAS//resource//EN" />
            <input type="hidden" name="returndoc"
             value="-//NCEAS//eml-dataset//EN" />
<!--            <input type="hidden" name="site" value="MARINE" /> -->
    	     </form>
         </td>
    	 </tr>  
       </table>
        
        <hr />
        <center><h3>MARINE Database Search</h3></center>
        <font size="2">
        <p class="intro">
          This page is a search tool for 
          <a href="http://www.mms.gov/omm/pacific/enviro/mint.htm">MARINE</a> 
          scientists to retrieve information from
          the NCEAS Ecological Metadata Database.  For more information on
          this project, please read the 
          <a href=
          "http://www.nceas.ucsb.edu/marinedata/">
          proposal abstract</a>.
        </p>
        
        <p class="intro">
           Each step below contains several fields relating to a part of the 
           dataset.  You may also browse
           the entire database by simply clicking the browse link at the top 
           of the page.
           Clicking on the buttons next to each data line will give you more
           information about the dataset or allow you to download the entire 
           dataset.  
           Please note some fields in the search forms will not be pertinent to
           your dataset.  
           If this is the case, simply leave any field blank to omit it from 
           the searching.  
        </p>
        
        <p class="intro">
           Note that the wildcard character is a percent sign (%).  It may 
           be used in any
           field to denote "any" value.  For example, the search "do%" would 
           return "document"
           or "dog" or "domino" or "dolphin", etc.  Placing a single percent 
           sign in a field
           will return any document that contains that field.  Placing a 
           percent sign in
           the "Any Field" field is equivalent to browsing the database (i.e. 
           it will return
           every document).  
        </p>
        </font>
        <hr />
        <form action="http://@server@@servlet-path@#browse" 
              method="POST"> 
        <a name="beginform" />  
        <table width="100%" border="0">
          <tr>
             <td valign="bottom" width = "25">
        	<img src="@image-path@/marine/step1.jpg" alt="step 1"/>
             </td>
             <td>
               <p>
               <b><font size="2">Keywords and Title</font></b><br/>
               <font size="2">
                 Enter any keywords that might partain to the dataset you 
                 are looking for.  
                 The "Any Field" text box will search for any field in any 
                 document for 
                 the text you provide.  The title and alternate title will 
                 search for text 
                 in the title or alternate title fields of a document only.  
                 Fields left 
                 blank will not be used in the search criteria.
               </font></p>
             </td> 
          </tr>
        </table>
        
        <table width="100%">
             <tr>
                <td align="right">Title:</td>
                <td>
                  <input type="text" name="title" size="30">
                  <xsl:attribute name="value">
                  <xsl:value-of select="resultset/query/title" />
                  </xsl:attribute>
                  </input>
                </td>
                <td align="right">Alternate Title:</td>
             	  <td>        
                <input type="text" name="alttitle" size="30">
             	  <xsl:attribute name="value">
                  <xsl:value-of select="resultset/query/alttitle" />
                  </xsl:attribute>
                  </input>
                </td>
             </tr>
             <tr>
              <td align="right">Keywords:</td>
                <td>
                  <input type="text" name="keyword" size="30">
                  <xsl:attribute name="value">
                  <xsl:value-of select="resultset/query/keyword" />
                  </xsl:attribute>
                  </input>
                </td>
                <td align="right">Any Field:</td>
                <td>
                  <input type="text" name="anyfield" size="30">
                  <xsl:attribute name="value">
                  <xsl:value-of select="resultset/query/anyfield" />
                  </xsl:attribute>
                  </input>
                </td>
             </tr>
        </table>
        
        <table width="100%" border="0">
          <tr>
             <td valign="center" align="left" width="25">
        	   <img src="@image-path@/marine/step2.jpg" alt="step 2"/>
             </td>
             <td>
             <font size="2"><b>Associated Individual Information</b><br/>
        	   Enter data about an owner or someone else who is associated with
             the dataset. Any field(s) left blank will not be used
        	   in the search criteria.
        	   </font>
             </td>
          </tr>
        </table>
        <table width="100%">
             <tr>
                <td align="right">First Name:</td>
                <td> 
                  <input type="text" name="givenName" size="30">
             	  <xsl:attribute name="value">
                  <xsl:value-of select="resultset/query/givenName" />
                  </xsl:attribute>
                  </input>
                </td>
                <td align="right">Last Name:</td>
                <td>
                  <input type="text" name="surName" size="30">
             	  <xsl:attribute name="value">
                  <xsl:value-of select="resultset/query/surName" />
                  </xsl:attribute>
                  </input>
                </td>
             </tr>
             <tr>
             	<td align="right">Organization:</td>
             	<td> 
             	  <input type="text" name="organizationName" size="30">
             	  <xsl:attribute name="value">
                  <xsl:value-of select="resultset/query/organizationName" />
                  </xsl:attribute>
                  </input>
                </td>
             	<td align="right">Email Address:</td>
             	<td> 
             	  <input type="text" name="electronicMailAddress" size="30">
             	  <xsl:attribute name="value">
                  <xsl:value-of select="resultset/query/electronicMailAddress" />
                  </xsl:attribute>
                  </input>
                </td>
             </tr>
           </table>
        <table width="100%" border="0">
          <tr>
            <td valign="center" align="left" width="25">
              <img src="@image-path@/marine/step3.jpg" alt="step 3"/>
            </td>
            <td>
              <p>
              <b><font size="2">Search the Database</font></b><br/>
              <font size="2">
              Click the Search button to submit your search.  The results will be
              displayed below under the heading "Results".
              </font>
              </p>
            </td>
          </tr>
        </table>
      <input type="hidden" name="action" value="query" />   
    	<input type="hidden" name="qformat" value="html" />
    	<input type="hidden" name="operator" value="UNION" />
      <input type="hidden" name="returnfield" 
             value="resource/dataset/originator/individualName/surName" />
      <input type="hidden" name="returnfield" 
            value="resource/dataset/originator/individualName/givenName" />
      <input type="hidden" name="returnfield" 
            value="resource/dataset/originator/organizationName" />
      <input type="hidden" name="returnfield" 
             value="resource/dataset/title" />
      <input type="hidden" name="returnfield" 
             value="eml-dataset/title" />
      <input type="hidden" name="returnfield" 
             value="resource/dataset/keywordInfo/keyword" />
      <input type="hidden" name="returndoc"
             value="-//NCEAS//resource//EN" />
      <input type="hidden" name="returndoc"
             value="-//NCEAS//eml-dataset//EN" />
      <!--<input type="hidden" name="site" value="MARINE" />-->
      <input type="submit" value="Search" />
      <input type="reset" value="Clear Form" />
        
    </form>
             
    <a name="browse" />
	  <font size="2"><xsl:number value="count(resultset/document)" /> documents 
     found.</font>
	  <!-- This tests to see if there are returned documents,
	       if there are not then don't show the query results -->
	  <xsl:if test="count(resultset/document) &gt; 0">
	    <center>
        <u><h2>Results</h2></u>
      </center>
          
        <table width="100%">
          <tr>
           <th class="sectionhead"><font size="2">Title</font></th>
           <th class="sectionhead"><font size="2">Action</font></th>
           <th class="sectionhead"><font size="2">Related Documents</font></th>
           <th class="sectionhead"><font size="2">Contacts</font></th>
           <th class="sectionhead"><font size="2">Organization</font></th>
           <th class="sectionhead"><font size="2">Keywords</font></th>
          </tr>
	      <font size="2">
        
        <!--<xsl:for-each select="resultset/document[doctype = 'resource']">-->
        <xsl:for-each select="resultset/document">
<!--    <xsl:if test="./doctitle != ''" > -->
          <xsl:sort order="ascending" select="doctitle"/>
          <tr valign="top">
            <xsl:attribute name="class">
              <xsl:choose>
                <xsl:when test="position() mod 2 = 1">rowodd</xsl:when>
                <xsl:when test="position() mod 2 = 0">roweven</xsl:when>
              </xsl:choose>
            </xsl:attribute>
            
          <td>
            <font size="3">
              <xsl:value-of select="./param[@name='resource/dataset/title']"/>
              <xsl:value-of select="./param[@name='eml-dataset/title']"/>
              <br/>
            </font>
            &nbsp;
            <p><pre>Document ID: <xsl:value-of select="./docid"/></pre></p>
          </td>
          <td>
            <form action="@html-path@/servlet/marine" method="POST">
              <xsl:attribute name="name">
                <xsl:value-of select="translate(./docid,'.','')"/>
              </xsl:attribute>
            <!-- abstractpath tells the servlet where the abstract is in the 
                 document.  The % sign is used because the path could be
                 resource/literature or resource/dataset. -->
            <input type="hidden" name="abstractpath" 
                   value="resource/%/abstract" />
            <input type="hidden" name="action" value="read"/>
            <input type="hidden" name="docid">
              <xsl:attribute name="value">
                <xsl:value-of select="./docid"/>
              </xsl:attribute>
            </input>
            <xsl:for-each select="./relation">
              <input type="hidden" name="relation">
                <xsl:attribute name="value" >
                  <xsl:value-of select="./relationdoc" />
                </xsl:attribute>
              </input>
            </xsl:for-each>

            <font size="2">
            <a>
              <xsl:attribute name="href">javascript:submitform('read',document.<xsl:value-of select="translate(./docid, '.', '')"/>)</xsl:attribute>
               Dataset Information
            </a><br />
            <a>
              <xsl:attribute name="href">javascript:submitform('getabstract',document.<xsl:value-of select="translate(./docid,'.','')"/>)</xsl:attribute>
              View Abstract
            </a><br />
            <a>
              <xsl:attribute name="href">javascript:submitform('getdatadoc',document.<xsl:value-of select="translate(./docid,'.','')"/>)</xsl:attribute>
               Download Data and Metadata
            </a><br />
            </font>
            </form>
            &nbsp;
          </td>
          <td>
            <xsl:if test="count(./relation) &gt; 0">
              <xsl:for-each select="./relation">
                <a>
                  <xsl:if test="starts-with(./relationdoc, 'http')">
                    <xsl:attribute name="href">
                      <xsl:value-of select="./relationdoc" />
                    </xsl:attribute>
                    <xsl:if test="./relationdoctype = '-//NCEAS//eml-variable//EN'">
                      <font size="2">Variable Information</font>
                    </xsl:if>
                    <xsl:if test="./relationdoctype = '-//NCEAS//eml-file//EN'">
                      <font size="2">File Information</font>
                    </xsl:if>
                    <xsl:if test="./relationdoctype = '-//NCEAS//eml-access//EN'">
                      <font size="2">Access Information</font>
                    </xsl:if>
                    <xsl:if test="./relationdoctype = '-//NCEAS//eml-context//EN'">
                      <font size="2">Context Information</font>
                    </xsl:if>
                    <xsl:if test="./relationdoctype = '-//NCEAS//eml-software//EN'">
                      <font size="2">Software Information</font>
                    </xsl:if>
                    <xsl:if test="./relationdoctype = '-//NCEAS//eml-status//EN'">
                      <font size="2">Status Information</font>
                    </xsl:if>
                    <xsl:if test="./relationdoctype = '-//NCEAS//eml-supplement//EN'">
                      <font size="2">Supplemental Information</font>
                    </xsl:if>
                    <!-- If the doctype is null, this file is assumed to 
                         be a data file
                     -->
                    <xsl:if test="./relationdoctype = 'null'">
                      <font size="2">Data File</font>
                    </xsl:if>
                  </xsl:if>
                  <xsl:if test="starts-with(./relationdoc, 'metacat')">
                    <xsl:attribute name="href">
                      <xsl:text>http://@server@@servlet-path@?action=read&amp;qformat=html&amp;docid=</xsl:text>
                      <xsl:value-of select="./relationdoc" />
                    </xsl:attribute>
                    <xsl:if test="./relationdoctype = '-//NCEAS//eml-variable//EN'">
                      <font size="2">Variable Information</font>
                    </xsl:if>
                    <xsl:if test="./relationdoctype = '-//NCEAS//eml-file//EN'">
                      <font size="2">File Information</font>
                    </xsl:if>
                    <xsl:if test="./relationdoctype = '-//NCEAS//eml-access//EN'">
                      <font size="2">Access Information</font>
                    </xsl:if>
                    <xsl:if test="./relationdoctype = '-//NCEAS//eml-context//EN'">
                      <font size="2">Context Information</font>
                    </xsl:if>
                    <xsl:if test="./relationdoctype = '-//NCEAS//eml-software//EN'">
                      <font size="2">Software Information</font>
                    </xsl:if>
                    <xsl:if test="./relationdoctype = '-//NCEAS//eml-status//EN'">
                      <font size="2">Status Information</font>
                    </xsl:if>
                    <xsl:if test="./relationdoctype = '-//NCEAS//eml-supplement//EN'">
                      <font size="2">Supplemental Information</font>
                    </xsl:if>
                    <!-- If the doctype is null, this file is assumed to 
                         be a data file
                     -->
                    <xsl:if test="./relationdoctype = 'null'">
                      <font size="2">Data File</font>
                    </xsl:if>
                  </xsl:if>
                </a>
                <br/>
              </xsl:for-each>  
            </xsl:if>
            &nbsp;
          </td>
          <td>
            <xsl:for-each 
               select="./param[@name='resource/dataset/originator/individualName/surName']" >  
              <font size="2">
              <xsl:value-of 
                select="." />
              </font> 
              <br/>

      <!--        <font size="2">
              <xsl:value-of 
                select="./param[@name='resource/dataset/originator/individualName/surName']" />
              </font><br/>
      -->
            </xsl:for-each>
            <xsl:text>&nbsp;</xsl:text>
          </td>
          <td>
              <font size="2">
              <xsl:value-of 
                select="./param[@name='resource/dataset/originator/organizationName']" />
              </font>
              <xsl:text>&nbsp;</xsl:text>
          </td>
  
          <td>
           <xsl:for-each
            select="./param[@name='resource/dataset/keywordInfo/keyword']" >
              <font size="2">
              <xsl:value-of 
               select="." />
               <br/>
              </font>
            </xsl:for-each>
            <xsl:text>&nbsp;</xsl:text>
          </td>
          <!--
          <td>
            <xsl:text>&nbsp;</xsl:text>
            <xsl:if test="count(./relation) &gt; 0">
              <form action="@server@@servlet-path@" method="POST">
              <input type="hidden" name="action" value="read"/>
              <input type="hidden" name="qformat" value="xml" />
              <xsl:for-each select="./relation">
                <font size="2">
                <input type="radio" name="docid">
                <xsl:attribute name="value" >
                  <xsl:value-of select="./relationdoc" />
                </xsl:attribute>
                <xsl:value-of select="./relationdoc" />
                </input>
                </font>
                <br/>
             </xsl:for-each>
             <input type="submit" value="Get" />
             </form>
            </xsl:if>
            &nbsp;
          </td>
          -->
          </tr>
        <!-- </xsl:if> (if ./doctitle !- '')-->
        </xsl:for-each>
        </font>
        </table>

        <h3><a href="#top">New Search</a></h3>
        </xsl:if>
        
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>
