<?xml version="1.0"?>
<!--
  *  '$RCSfile: resultset.xsl,v $'
  *      Authors: Matt Jones, CHad Berkley
  *    Copyright: 2000 Regents of the University of California and the
  *               National Center for Ecological Analysis and Synthesis
  *  For Details: http://www.nceas.ucsb.edu/
  *
  *   '$Author: jones $'
  *     '$Date: 2001/01/18 19:02:14 $'
  * '$Revision: 1.18 $'
  * 
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
  * This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
  * convert an XML file showing the resultset of a query
  * into an HTML format suitable for rendering with modern web browsers.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html"/>
  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" 
              href="@web-base-url@/default.css" />
        <script language="JavaScript">
          <![CDATA[
          function submitform(current_action,form_ref) {
              form_ref.action.value=current_action;
              form_ref.submit();
          }
          ]]>
        </script>
      </head>

      <body>
        <table width="100%">
          <tr>
            <td rowspan="2"><img src="@web-base-url@/images/KNBLogo.gif"/></td>
            <td colspan="7"><div class="title">Biocomplexity Data Search</div>
            </td>
          </tr>
          <tr>
            <td><a href="@web-base-url@" class="toollink"> KNB </a></td>
            <td><a href="@web-base-url@/data.html" class="toollink"> 
                Data </a></td>
            <td><a href="@web-base-url@/people.html" class="toollink"> 
                People </a></td>
            <td><a href="@web-base-url@/informatics" class="toollink"> 
                Informatics </a></td>
            <td><a href="@web-base-url@/biodiversity" class="toollink"> 
                Biodiversity </a></td>
            <td><a href="@web-base-url@/education" class="toollink"> 
                Education </a></td>
            <td><a href="@web-base-url@/software" class="toollink"> 
                Software </a></td>
         </tr>
         <tr>
          <td align="right" valign="top" colspan="7">
            <form action="@html-path@/servlet/metacat" method="POST">
             Data Search: <input type="text" name="anyfield" size="10" />
             <input type="hidden" name="action" value="query" />   
             <input type="hidden" name="qformat" value="html" />
             <input type="hidden" name="operator" value="UNION" />
            
             <input type="hidden" name="returnfield" 
              value="resource/dataset/originator/individualName/surName" />
             <input type="hidden" name="returnfield" 
              value="resource/dataset/originator/individualName/givenName" />
             <input type="hidden" name="returnfield" 
              value="resource/dataset/originator/organizationName" />
             <input type="hidden" name="returnfield" 
              value="resource/dataset/title" />
             <input type="hidden" name="returnfield" 
              value="eml-dataset/title" />
             <input type="hidden" name="returnfield" 
              value="resource/dataset/keywordInfo/keyword" />
             <input type="hidden" name="returndoc"
              value="-//NCEAS//resource//EN" />
             <input type="hidden" name="returndoc"
              value="-//NCEAS//eml-dataset//EN" />
           </form>
          </td>
        </tr>  
       </table>
        
       <p><xsl:number value="count(resultset/document)" /> documents found.</p>
       <!-- This tests to see if there are returned documents,
            if there are not then don't show the query results -->
       <xsl:if test="count(resultset/document) &gt; 0">
         <center>
           <u><h2>Results</h2></u>
         </center>
          
         <table width="100%">
           <tr>
             <th class="tablehead">Title</th>
             <th class="tablehead">Action</th>
             <th class="tablehead">Related Documents</th>
             <th class="tablehead">Contacts</th>
             <th class="tablehead">Organization</th>
             <th class="tablehead">Keywords</th>
           </tr>
        
         <xsl:for-each select="resultset/document">
           <xsl:sort select="doctitle"/>
           <tr valign="top">
             <xsl:attribute name="class">
               <xsl:choose>
                 <xsl:when test="position() mod 2 = 1">rowodd</xsl:when>
                 <xsl:when test="position() mod 2 = 0">roweven</xsl:when>
               </xsl:choose>
             </xsl:attribute>

             <td>
               <xsl:value-of select="./param[@name='resource/dataset/title']"/>
               <xsl:value-of select="./param[@name='eml-dataset/title']"/>
               <br/>
               <p><pre>Document ID: <xsl:value-of select="./docid"/></pre></p>
             </td>
             <td>
               <form action="@html-path@/servlet/metacat" method="POST">
                 <xsl:attribute name="name">
                   <xsl:value-of select="translate(./docid,'.','')"/>
                 </xsl:attribute>
                 <!-- abstractpath tells the servlet where the abstract is in 
                      the document.  The % sign is used because the path could 
                      be resource/literature or resource/dataset. -->
                 <input type="hidden" name="abstractpath" 
                        value="resource/%/abstract" />
                 <input type="hidden" name="action" value="read"/>
                 <input type="hidden" name="docid">
                   <xsl:attribute name="value">
                     <xsl:value-of select="./docid"/>
                   </xsl:attribute>
                 </input>
                 <xsl:for-each select="./relation">
                   <input type="hidden" name="relation">
                     <xsl:attribute name="value" >
                       <xsl:value-of select="./relationdoc" />
                     </xsl:attribute>
                   </input>
                 </xsl:for-each>

                 <a>
                   <xsl:attribute name="href">javascript:submitform('read',document.<xsl:value-of select="translate(./docid, '.', '')"/>)</xsl:attribute>
                   Dataset Information
                 </a><br />
                 <a>
                   <xsl:attribute name="href">javascript:submitform('getabstract',document.<xsl:value-of select="translate(./docid,'.','')"/>)</xsl:attribute>
                   View Abstract
                 </a><br />
                 <a>
                   <xsl:attribute name="href">javascript:submitform('getdatadoc',document.<xsl:value-of select="translate(./docid,'.','')"/>)</xsl:attribute>
                    Download Data and Metadata
                 </a><br />
               </form>
             </td>
             <td>
               <xsl:if test="count(./relation) &gt; 0">
                 <xsl:for-each select="./relation">
                   <a>
                     <xsl:if test="starts-with(./relationdoc, 'http')">
                       <xsl:attribute name="href">
                         <xsl:value-of select="./relationdoc" />
                       </xsl:attribute>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-variable//EN'">
                         Variable Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-file//EN'">
                         File Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-access//EN'">
                         Access Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-context//EN'">
                         Context Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-software//EN'">
                         Software Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-status//EN'">
                         Status Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-supplement//EN'">
                         Supplemental Information
                       </xsl:if>
                       <!-- If the doctype is null, this file is assumed to 
                            be a data file
                        -->
                       <xsl:if test="./relationdoctype = 'null'">
                         Data File
                       </xsl:if>
                     </xsl:if>
                     <xsl:if test="starts-with(./relationdoc, 'metacat')">
                       <xsl:attribute name="href">
                         <xsl:text>http://@server@@servlet-path@?action=read&amp;qformat=html&amp;docid=</xsl:text>
                         <xsl:value-of select="./relationdoc" />
                       </xsl:attribute>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-variable//EN'">
                         Variable Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-file//EN'">
                         File Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-access//EN'">
                         Access Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-context//EN'">
                         Context Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-software//EN'">
                         Software Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-status//EN'">
                         Status Information
                       </xsl:if>
                       <xsl:if 
                        test="./relationdoctype = '-//NCEAS//eml-supplement//EN'">
                         Supplemental Information
                       </xsl:if>
                       <!-- If the doctype is null, this file is assumed to 
                            be a data file
                        -->
                       <xsl:if test="./relationdoctype = 'null'">
                         Data File
                       </xsl:if>
                     </xsl:if>
                   </a>
                   <br/>
                 </xsl:for-each>  
               </xsl:if>
               <xsl:text>&nbsp;</xsl:text>
             </td>
             <td>
               <xsl:for-each select="./param[@name='resource/dataset/originator/individualName/surName']" >  
                 <xsl:value-of select="." />
                 <br/>

               </xsl:for-each>
               <xsl:text>&nbsp;</xsl:text>
             </td>
             <td>
                 <xsl:value-of select=
                 "./param[@name='resource/dataset/originator/organizationName']"                 />
                 <xsl:text>&nbsp;</xsl:text>
             </td>
  
             <td>
               <xsl:for-each
                select="./param[@name='resource/dataset/keywordInfo/keyword']">
                 <xsl:value-of select="." />
                 <br/>
               </xsl:for-each>
               <xsl:text>&nbsp;</xsl:text>
             </td>
           </tr>

          </xsl:for-each>
          </table>

       </xsl:if>
      </body>
    </html>
  </xsl:template>

</xsl:stylesheet>
